/*
************************************************************
Styles:     flix//mobile-nav
Copyright:  (c) interaktiv manufaktur
Website:    www.interaktiv-manufaktur.de
************************************************************
*/


@media only screen and (max-width: 64.0rem)  {
    .menu-trigger{
        display: block !important;
    }
}
.close-page-canvas{
    left: 60% !important;
}
.menu-trigger{
    display: none;
}

.nav1-mobile-div{
    overflow: scroll;
}

/*######### Mobile 2 - left menu ###############*/

.menu-trigger {
    height: 1.8125rem;
    /*padding: 0.5rem 0.0rem;*/
    width: 1.875rem;
    cursor: pointer;
    transition: ease-in .3s;
    position: absolute;
    top: 1.25rem;
    right: 1.5625rem;

}
.menu-trigger.menu-line-box{
    padding: 1.625rem 0.9375rem;
    width: 1.875rem;
    height: 0.5rem;
    transition: ease .3s;
}

.menu-trigger .menu-line{
    transition: ease-in .2s;
    width: 100%;
    height: 0.25rem;
    border-radius: 0.9375rem;
    margin: 0 auto 0.3125rem;
}

.menu-trigger:hover .menu-line:nth-child(2){
    width: 80%;

}
.menu-trigger .main-content{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: ease-in-out .4s;
}

.menu-trigger.open .menu-line:nth-child(1){
    transform: rotate(45deg);
    position: relative;
    top: 0.375rem;
}

.menu-trigger.open .menu-line:nth-child(2){
    display: none;
}

.menu-trigger.open .menu-line:nth-child(3){
    transform: rotate(-45deg);
    position: relative;
    top: -0.1875rem;
}

.subnav-nav-trigger::before{
    font-family: "Font Awesome 5 Pro", sans-serif;
    content: "\f107";
    color: #ffffff;
}

.subnav-nav-trigger {
    height: 3.0rem;
    /*width: 2.1875rem;*/
    /*display: inline-block;*/
    cursor: pointer;
    float: left;
    /*margin-top: 0.3125rem;*/
    font-size: 2.1875rem;
    text-align: center;
    overflow: hidden;
    margin-left: 0.4375rem;
    padding-left: 0.9375rem;
    padding-right: 0.9375rem;
    transition: ease-in-out 0.3s transform;
    line-height: 3.0rem;
    transform: rotate(-90deg);
    background: none;
    border: none;
}

.subnav-nav-trigger:focus-visible {
    outline: 0.1875rem solid #fff;
    outline-offset: -0.625rem;
}

.subnav-nav-trigger.opened{
    transform: rotate(0deg);
}
.nav1-mobile-link{
    margin-right: 0.3125rem;
}

.nav1-mobile-link:focus-visible {
    outline: none;
}

.nav1-mobile-link:focus-visible span {
    outline: 0.1875rem solid;
    outline-offset: 0.0625rem;
}

.nav1-mobile-div.menu-2{
    position: fixed;
    top: 4.9375rem;
    height: 100%;
    transition: ease-in-out .4s;
    z-index: 999;
}

.nav1-mobile-div.menu-2 .nav1-mobile{
    height: auto;
    /*position: relative;*/
    /*   top: 50%;
       left: 6.25rem;*/
    /*transform: translate(-50%, 0%);*/
    border: none;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item{
    border: none;

}

.nav1-mobile-div.menu-2 .nav1-link-mobile{

}

.nav1-mobile-div.menu-2 .nav1-link:hover{

}
.nav1-mobile-link.active span{
    font-weight: 700;
}


.nav1-mobile-div.menu-1{
    position: absolute;
    width: 100vw;
    top: 3.75rem;
    /*right: -100vw;*/
    transition: ease-in-out .4s;
    padding-bottom: 70vh;
    padding-top: 1.875rem;
}

@media only screen and (max-width: 36.25rem)  {
    .nav1-mobile-div.menu-1{
        position: absolute;
        width: 100vw;
        top: 3.75rem;
        /*right: -100vw;*/
        transition: ease-in-out .4s;
        padding-bottom: 70vh;
        padding-top: 0;
    }
}

.nav1-mobile-div.menu-2{
    position: fixed;
    width: 100vw;
    height: calc(100vh - 5.0rem);
    top: 5.0rem;
    right: 0;
    ;
    transition: ease-in-out .4s;
}

.nav1-mobile-div.menu-3{
    position: fixed;
    width: 60vw;
    height: 100vh;
    top: 0;
    right: -60vw;
    transition: ease-in-out .4s;
}

